package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Let;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LetMapper {

    int insert(Let record);

    int insertSelective(Let record);

    int updateByPrimaryKeySelective(Let record);

    int updateByPrimaryKey(Let record);

    int deleteByPrimaryKey(Let record);

    int deleteByIds(Collection<Object> collection);

    Let selectByPrimaryKey(Let record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Let> dyncRead(Map<String, Object> dyncMap);

}